Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface RDFObject

All Superinterfaces:
  Visitable

All Known Subinterfaces:
  Customer, Customer_, GoodCustomer, OWLAllDifferent, OWLAllValuesFrom, OWLAnonymousClass, OWLCardinality, OWLCardinalityBase, OWLClass, OWLComplementClass, OWLDataRange, OWLDatatypeProperty, OWLEnumeratedClass, OWLExistentialRestriction, OWLHasValue, OWLIndividual, OWLIntersectionClass, OWLLogicalClass, OWLMaxCardinality, OWLMinCardinality, OWLNamedClass, OWLNAryLogicalClass, OWLObjectProperty, OWLOntology, OWLProperty, OWLQuantifierRestriction, OWLRestriction, OWLSomeValuesFrom, OWLUnionClass, Product, Purchase, RDFIndividual, RDFList, RDFProperty, RDFResource, RDFSClass, RDFSDatatype, RDFSLiteral, RDFSNamedClass, RDFUntypedResource, SWRLAtom, SWRLAtomList, SWRLBuiltin, SWRLBuiltinAtom, SWRLClassAtom, SWRLDataRangeAtom, SWRLDatavaluedPropertyAtom, SWRLDifferentIndividualsAtom, SWRLImp, SWRLIndividual, SWRLIndividualPropertyAtom, SWRLIndividualsAtom, SWRLSameIndividualAtom, SWRLVariable, TestPerson, VeryGoodCustomer

All Known Implementing Classes:
  AbstractCodeGeneratorIndividual, AbstractOWLAnonymousClass, AbstractOWLCardinalityBase, AbstractOWLLogicalClass, AbstractOWLNAryLogicalClass, AbstractOWLProperty, AbstractOWLQuantifierRestriction, AbstractOWLRestriction, AbstractRDFSClass, AbstractSWRLIndividual, AbstractSWRLIndividualsAtom, DefaultCustomer, DefaultCustomer_, DefaultGoodCustomer, DefaultOWLAllDifferent, DefaultOWLAllValuesFrom, DefaultOWLCardinality, DefaultOWLComplementClass, DefaultOWLDataRange, DefaultOWLDatatypeProperty, DefaultOWLEnumeratedClass, DefaultOWLHasValue, DefaultOWLIndividual, DefaultOWLIntersectionClass, DefaultOWLMaxCardinality, DefaultOWLMinCardinality, DefaultOWLNamedClass, DefaultOWLObjectProperty, DefaultOWLOntology, DefaultOWLSomeValuesFrom, DefaultOWLUnionClass, DefaultProduct, DefaultPurchase, DefaultRDFIndividual, DefaultRDFList, DefaultRDFProperty, DefaultRDFSDatatype, DefaultRDFSLiteral, DefaultRDFSNamedClass, DefaultRDFUntypedResource, DefaultSWRLAtom, DefaultSWRLAtomList, DefaultSWRLBuiltin, DefaultSWRLBuiltinAtom, DefaultSWRLClassAtom, DefaultSWRLDataRangeAtom, DefaultSWRLDatavaluedPropertyAtom, DefaultSWRLDifferentIndividualsAtom, DefaultSWRLImp, DefaultSWRLIndividualPropertyAtom, DefaultSWRLSameIndividualAtom, DefaultSWRLVariable, DefaultTestPerson, DefaultVeryGoodCustomer

    public interface RDFObject

extends Visitable

The common type of RDFSLiteral and RDFResource. This can be used to ensure type safety for variables and method parameters.

Author:
  Holger Knublauch

Method Summary
`boolean` | `equalsStructurally(RDFObject object)` Determines whether or not the specified class is structurally equal to this class.
`String` | `getBrowserText()`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.visitor.Visitable
`accept`

Method Detail

### getBrowserText

    String getBrowserText()

### equalsStructurally

    boolean equalsStructurally(RDFObject object)

  Determines whether or not the specified class is structurally equal to this class. Note that this does not test for structural equivalence using structural subsumption tests.

  Parameters:
    `object` - The class to test against.
  Returns:
    `true` if the class is structurally equal to this, `false` if the class is not structurally equal to this.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.